using FL.Nodes.Partners;
using XGame.Framework.Data;
using XGame.Framework.Nodes;

namespace FL.Nodes
{
    public static partial class NodeKeys
    {
        private static NodeKey _Partners;
        public static NodeKey Partners => _Partners ??= new NodeKey("Partners", (uint)NodeGroupDefine.GameMain, typeof(PartnersNode));
    }
    public class PartnersNode : Node
    {
        protected override void OnDispose()
        {
        }

        protected override void OnInited()
        {
        }

        protected override void AddComponent(INodeComponentGroup group)
        {
            group.Add(new UIComponent());
        }

        protected override void AddData(IDataGroup dataGroup)
        {
        }
    }
}